Name:		strawberry
Version:	1.2.3
Release:	%mkrel 1
Summary:	Audio player and music collection organizer
Group:		Sound/Players
# Main program: GPLv3
# src/analyzer and src/engine/gstengine and src/engine/xineengine: GPLv2
# src/widgets/fancytabwidget and src/widgets/stylehelper: LGPLv2
# 3rdparty/singleapplication: MIT
# src/core/timeconstants.h and ext/libstrawberry-common/core/logging and ext/libstrawberry-common/core/messagehandler: ASL 2.0
License:	GPLv2 and GPLv3+ and LGPLv2 and ASL 2.0 and MIT and Boost
URL:		https://www.strawberrymusicplayer.org/
Source0:	https://github.com/strawberrymusicplayer/strawberry/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	boost-devel
BuildRequires:	cmake(KDSingleApplication-qt6)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gmock)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(sqlite3) >= 3.7
BuildRequires:	pkgconfig(taglib) >= 1.11
BuildRequires:	pkgconfig(libebur128)
BuildRequires:	pkgconfig(libgpod-1.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist-2.0)
BuildRequires:	pkgconfig(libusbmuxd-2.0)

Requires:	gstreamer1.0-plugins-good
Recommends:	gstreamer1.0-moodbar

%description
Strawberry is an audio player and music collection organizer.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  * Play and organize music
  * Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC,
    TrueAudio, AIFF, MP4, MP3 and ASF
  * Audio CD playback
  * Native desktop notifications
  * Playlists in multiple formats
  * Advanced output and device options with support for bit perfect playback
    on Linux
  * Edit tags on music files
  * Fetch tags from MusicBrainz
  * Album cover art from Last.fm, Musicbrainz and Discogs
  * Song lyrics from AudD and API Seeds
  * Support for multiple backends
  * Audio analyzer
  * Equalizer
  * Transfer music to iPod, iPhone, MTP or mass-storage USB player
  * Integrated Tidal support
  * Scrobbler with support for Last.fm, Libre.fm and ListenBrainz


%prep
%autosetup -p1

# Remove unneeded 3rdparty to ensure they don't get accidentally bundled
rm -rf 3rdparty

%build
%cmake_qt6 \
  -DBUILD_WERROR=OFF

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.strawberrymusicplayer.%{name}.appdata.xml

%files
%doc Changelog README.md
%license COPYING
%{_bindir}/%{name}
%{_metainfodir}/org.strawberrymusicplayer.%{name}.appdata.xml
%{_datadir}/applications/org.strawberrymusicplayer.%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Dec 10 2024 daviddavid <daviddavid> 1.2.3-1.mga10
+ Revision: 2123285
- new version: 1.2.3

* Sun Nov 24 2024 daviddavid <daviddavid> 1.2.2-1.mga10
+ Revision: 2118806
- new version: 1.2.2

* Sun Oct 13 2024 daviddavid <daviddavid> 1.1.3-3.mga10
+ Revision: 2106204
- update French translation

* Fri Oct 04 2024 daviddavid <daviddavid> 1.1.3-2.mga10
+ Revision: 2103103
- rebuild for new taglib 2.0.2

* Sun Sep 22 2024 daviddavid <daviddavid> 1.1.3-1.mga10
+ Revision: 2100585
- new version: 1.1.3

* Fri Sep 13 2024 daviddavid <daviddavid> 1.1.2-1.mga10
+ Revision: 2095719
- new version: 1.1.2

* Tue Jul 23 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2082322
- new version: 1.1.1

* Mon Jul 15 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2081654
- new version: 1.1.0

* Sun Jan 14 2024 daviddavid <daviddavid> 1.0.23-1.mga10
+ Revision: 2031168
- new version: 1.0.23

* Wed Dec 27 2023 daviddavid <daviddavid> 1.0.22-3.mga10
+ Revision: 2022070
- rebuild for new kdsingleapplication 1.1.0

* Tue Dec 12 2023 daviddavid <daviddavid> 1.0.22-2.mga10
+ Revision: 2017543
- use system KDSingleApplication
- enable libebur128 support

* Tue Dec 12 2023 daviddavid <daviddavid> 1.0.22-1.mga10
+ Revision: 2017296
- new version: 1.0.22

* Wed Oct 25 2023 daviddavid <daviddavid> 1.0.21-1.mga10
+ Revision: 2001149
- new version: 1.0.21

* Wed Oct 11 2023 daviddavid <daviddavid> 1.0.20-1.mga10
+ Revision: 1994370
- new version: 1.0.20

* Mon Aug 28 2023 daviddavid <daviddavid> 1.0.18-1.mga10
+ Revision: 1980488
- new version: 1.0.18

* Sat Apr 01 2023 daviddavid <daviddavid> 1.0.17-1.mga9
+ Revision: 1951103
- new version: 1.0.17

* Tue Mar 07 2023 daviddavid <daviddavid> 1.0.15-1.mga9
+ Revision: 1947947
- new version: 1.0.15

* Sat Jan 14 2023 daviddavid <daviddavid> 1.0.14-1.mga9
+ Revision: 1932823
- new version: 1.0.14

* Thu Jan 12 2023 daviddavid <daviddavid> 1.0.13-1.mga9
+ Revision: 1932432
- new version: 1.0.13

* Sat Jan 07 2023 daviddavid <daviddavid> 1.0.12-1.mga9
+ Revision: 1930885
- new version: 1.0.12

* Sat Dec 31 2022 daviddavid <daviddavid> 1.0.11-2.mga9
+ Revision: 1928354
- switch to Qt6

* Sat Dec 31 2022 daviddavid <daviddavid> 1.0.11-1.mga9
+ Revision: 1928344
- new version: 1.0.11

* Thu Dec 22 2022 wally <wally> 1.0.10-2.mga9
+ Revision: 1925799
- rebuild for protobuf 21.12

* Fri Nov 04 2022 luigiwalser <luigiwalser> 1.0.10-1.mga9
+ Revision: 1902618
- 1.0.10

* Thu Sep 08 2022 luigiwalser <luigiwalser> 1.0.9-1.mga9
+ Revision: 1886062
- 1.0.9

* Sun Aug 21 2022 papoteur <papoteur> 1.0.7-1.mga9
+ Revision: 1879073
- new 1.0.7

* Mon Aug 01 2022 luigiwalser <luigiwalser> 1.0.6-1.mga9
+ Revision: 1874207
- 1.0.6

* Thu Jun 16 2022 luigiwalser <luigiwalser> 1.0.5-1.mga9
+ Revision: 1864622
- 1.0.5

* Thu Apr 21 2022 luigiwalser <luigiwalser> 1.0.4-1.mga9
+ Revision: 1852509
- 1.0.4

* Sun Apr 10 2022 luigiwalser <luigiwalser> 1.0.3-1.mga9
+ Revision: 1848621
- 1.0.3

* Tue Mar 15 2022 luigiwalser <luigiwalser> 1.0.2-1.mga9
+ Revision: 1793829
- 1.0.2

* Tue Jan 18 2022 luigiwalser <luigiwalser> 1.0.1-1.mga9
+ Revision: 1768948
- 1.0.1

* Tue Dec 28 2021 wally <wally> 1.0.0-2.mga9
+ Revision: 1764978
- rebuild for protobuf 3.19.1

* Fri Dec 03 2021 luigiwalser <luigiwalser> 1.0.0-1.mga9
+ Revision: 1760631
- 1.0.0

* Fri Apr 23 2021 daviddavid <daviddavid> 0.9.3-1.mga9
+ Revision: 1718037
- new version: 0.9.3

* Sun Mar 28 2021 daviddavid <daviddavid> 0.9.2-1.mga9
+ Revision: 1711583
- new version: 0.9.2

* Sun Mar 21 2021 daviddavid <daviddavid> 0.9.1-2.mga9
+ Revision: 1706590
- update some translations

* Fri Mar 19 2021 daviddavid <daviddavid> 0.9.1-1.mga9
+ Revision: 1704574
- new version: 0.9.1

* Sat Jan 09 2021 daviddavid <daviddavid> 0.8.5-2.mga8
+ Revision: 1669947
- xine support is no more used (removed upstream)

* Mon Dec 21 2020 daviddavid <daviddavid> 0.8.5-1.mga8
+ Revision: 1662431
- new version: 0.8.5

* Fri Dec 18 2020 luigiwalser <luigiwalser> 0.8.4-4.mga8
+ Revision: 1660996
- rebuild for protobuf

* Thu Dec 17 2020 umeabot <umeabot> 0.8.4-3.mga8
+ Revision: 1659928
- Rebuild for new Qt5

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.8.4-2.mga8
+ Revision: 1650546
- rebuild for protobuf

* Mon Nov 16 2020 daviddavid <daviddavid> 0.8.4-1.mga8
+ Revision: 1646480
- new version: 0.8.4

* Tue Oct 27 2020 daviddavid <daviddavid> 0.8.3-1.mga8
+ Revision: 1639812
- new version: 0.8.3

* Tue Oct 20 2020 daviddavid <daviddavid> 0.8.2-1.mga8
+ Revision: 1637188
- new version: 0.8.2

* Fri Aug 21 2020 daviddavid <daviddavid> 0.7.2-1.mga8
+ Revision: 1617631
- new version: 0.7.2

* Tue Jul 14 2020 daviddavid <daviddavid> 0.6.13-1.mga8
+ Revision: 1605855
- new version: 0.6.13

* Sun Jun 28 2020 daviddavid <daviddavid> 0.6.12-3.mga8
+ Revision: 1600186
- rebuild for new protobuf 3.12.3

* Sun Jun 21 2020 daviddavid <daviddavid> 0.6.12-2.mga8
+ Revision: 1598177
- rebuild for new libplist 2.2.0 and libimobiledevice 1.3.0
- add upstream patch to add support for libplist 2.2

* Wed Jun 17 2020 daviddavid <daviddavid> 0.6.12-1.mga8
+ Revision: 1594157
- new version: 0.6.12

* Thu May 21 2020 daviddavid <daviddavid> 0.6.11-1.mga8
+ Revision: 1586570
- new version: 0.6.11

* Sun May 10 2020 daviddavid <daviddavid> 0.6.10-1.mga8
+ Revision: 1582472
- new version: 0.6.10

* Mon Apr 13 2020 daviddavid <daviddavid> 0.6.9-1.mga8
+ Revision: 1567052
- new version: 0.6.9

* Wed Feb 19 2020 umeabot <umeabot> 0.6.8-2.mga8
+ Revision: 1542822
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 0.6.8-1.mga8
+ Revision: 1477040
- new version: 0.6.8
+ wally <wally>
- build with new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 0.6.7-3.mga8
+ Revision: 1468860
- rebuild for new protobuf 3.11.2

* Fri Dec 06 2019 daviddavid <daviddavid> 0.6.7-2.mga8
+ Revision: 1464853
- add French translation (Thanks to all contributors...)

* Fri Nov 29 2019 daviddavid <daviddavid> 0.6.7-1.mga8
+ Revision: 1463743
- new version: 0.6.7

* Mon Nov 11 2019 daviddavid <daviddavid> 0.6.6-1.mga8
+ Revision: 1459145
- new version: 0.6.6

* Thu Oct 03 2019 daviddavid <daviddavid> 0.6.5-1.mga8
+ Revision: 1449045
- new version: 0.6.5

* Wed Sep 25 2019 daviddavid <daviddavid> 0.6.4-1.mga8
+ Revision: 1445982
- new version: 0.6.4

* Mon Aug 19 2019 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1429935
- new version: 0.6.3

* Sun Jul 14 2019 daviddavid <daviddavid> 0.5.5-2.mga8
+ Revision: 1421269
- rebuild for new libcdio 2.1.0

* Mon May 06 2019 daviddavid <daviddavid> 0.5.5-1.mga7
+ Revision: 1396413
- new version: 0.5.5

* Tue Apr 02 2019 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1385005
- new version: 0.5.3

* Tue Apr 02 2019 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1384917
- Qt5 Rebuild

* Fri Feb 08 2019 daviddavid <daviddavid> 0.5.2-1.mga7
+ Revision: 1364216
- initial package strawberry

